Skip to main content
POST
/
agents
/
{agent_id}
/
fork
공유 에이전트를 내 에이전트로 복제(수강생 전용)
curl --request POST \
  --url https://api.example.com/agents/{agent_id}/fork \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "class_id": 123,
  "name": "<string>"
}
'
{
  "agent_id": 123,
  "owner_id": 123,
  "name": "<string>",
  "system_prompt": "<string>",
  "is_active": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "role_description": "<string>",
  "template_source": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
integer
required
Required range: x >= 1

Body

application/json

공유된 강사 에이전트를 '내 에이전트'로 복제할 때 사용하는 입력 스키마.

  • class_id: 이 에이전트가 공유된 강의 ID
  • name: 내 에이전트로 복제할 때 사용할 이름 (없으면 서버에서 기본값 생성)
class_id
integer
required
name
string | null

Response

Successful Response

agent_id
integer
required
owner_id
integer
required
name
string
required
system_prompt
string
required
is_active
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
role_description
string | null
template_source
string | null